import requests
from bs4 import BeautifulSoup

doc_url = 'https://wenku.baidu.com/view/74f6dc1a89d63186bceb19e8b8f67c1cfbd6ee42?aggId=57516455a46e58fafab069dc5022aaea998f41a4&fr=catalogMain_text_ernie_recall_backup_new%3Awk_recommend_main4&_wkts_=1698671816373&bdQuery=%E5%86%9C%E4%B8%9A%E7%9F%A5%E8%AF%86%E7%BB%BC%E5%90%88%E4%B8%80&wkQuery=%E6%A4%8D%E7%89%A9%E5%AD%A6&needWelcomeRecommand=1'  # 替换为您要下载的文档的 URL

# 获取文档页面的 HTML
doc_resp = requests.get(doc_url)
doc_soup = BeautifulSoup(doc_resp.content, 'html.parser')

# 找到文档的 ID
doc_id = doc_soup.find('script', attrs={'type': 'text/javascript', 'data-for': 'doc-header'}).string.split('"docId":')[1].split(',')[0].strip('"')

# 构造下载文档的请求 URL
download_url = f'https://wenku.baidu.com/api/doc/downloaddoc?doc_id={doc_id}&type=docx'

# 发送请求并保存文档
download_resp = requests.get(download_url)
with open('doc.docx', 'wb') as f:
    f.write(download_resp.content)